### Method

# WebKit PermissionStateQuery ref

since: 2.40

#### Declaration [src]

    WebKitPermissionStateQuery*
    webkit_permission_state_query_ref (
      WebKitPermissionStateQuery* query
    )

#### Description [src]

Atomically increments the reference count of `query` by one.

This function is MT-safe and may be called from any thread.

Available since: 2.40

#### Return value

Type: `WebKitPermissionStateQuery`

The passed `WebKitPermissionStateQuery`.

The caller of the method takes ownership of the data, and is responsible for freeing it.